Subject: Re: bug#26792: Fix output of --help in package fish

From: [email-masked] (Ludovic Courtès)
Date: Sat, 06 May 2017 15:53:17 +0200

ng0 <[email-masked]> skribis:

> Currently the output of fish --help fails if the nroff binary is not found.
> The patch fixes the issue by embeding a reference to the groff provided nroff,
> fish --help produces correct output after this is applied.
> -- 
> https://pragmatique.xyz
> PGP: https://people.pragmatique.xyz/ng0/
>
> From 5a22ffdccef3266f6a4050f715f304c10c259ba3 Mon Sep 17 00:00:00 2001
> From: ng0 <[email-masked]>
> Date: Sat, 6 May 2017 00:12:58 +0000
> Subject: [PATCH] gnu: fish: Reference 'groff' to fix output of 'fish --help'.
>
> * gnu/packages/shells.scm (fish)[native-inputs]: Add 'groff'.
> (arguments): Add 'nroff' substitution in 'embed-store-paths' phase.

Applied, but moving groff to ‘inputs’ since it’s needed at run time.

Thanks!

Ludo’.